## org.biojava.bio.seq.io.agave
Class AGAVEProperty

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEProperty

    public class AGAVEProperty

extends Object

Field Summary
`static String` `QUALIFIER`
`static String` `RESULT_PROPERTY`
`static String` `SCI_PROPERTY`
`static String` `XREF_PROPERTY`

Constructor Summary
`AGAVEProperty(String property_class, String prop, String data_type, String value)`

Method Summary
`String` `getDataType()`
`String` `getPropClass()`
`String` `getPropType()`
`String` `getValue()`
`String` `toString()`
`String` `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCI_PROPERTY

    public static final String SCI_PROPERTY

See Also:
  Constant Field Values

### RESULT_PROPERTY

    public static final String RESULT_PROPERTY

See Also:
  Constant Field Values

### XREF_PROPERTY

    public static final String XREF_PROPERTY

See Also:
  Constant Field Values

### QUALIFIER

    public static final String QUALIFIER

See Also:
  Constant Field Values

Constructor Detail

### AGAVEProperty

    public AGAVEProperty(String property_class,
                         String prop,
                         String data_type,
                         String value)

Method Detail

### getPropClass

    public String getPropClass()

### getPropType

    public String getPropType()

### getDataType

    public String getDataType()

### getValue

    public String getValue()

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`